var express = require('express');
var { join } = require('path');

/**
 * 获取公司库文件
 * @param {express.request} request 请求
 * @param {express.response} response 响应
 */
function getNcCompanyJS(request, response) {
  response.sendFile(join(__dirname, '../../dist/<%= getSeparatorCase(microFrontendName) %>/nc-company.js'));
}

module.exports = {
  'GET /nc-company.js': getNcCompanyJS
};
